petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESSetUpdate

Sets the general-purpose update function called at the beginning of every iteration of the nonlinear solve. Specifically it is called just before the Jacobian is "evaluated".

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetUpdate(SNES snes, PetscErrorCode (*func)(SNES, PetscInt))

Logically Collective on SNES

### Input Parameters

snes -The nonlinear solver context
func -The function

### Calling sequence of func

func (SNES snes, PetscInt step); -
step -The current step of the iteration

Note: This is NOT what one uses to update the ghost points before a function evaluation, that should be done at the beginning of your FormFunction() This is not used by most users.

### Keywords

SNES, update

### See Also

SNESSetJacobian(), SNESSolve()

### Level

advanced

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages